.btn{
    &.focus,
    &:focus{
        outline: none;
        box-shadow: none;
    }

    /**
     * Style
     */
    &.btn-primary {
        color: #ffffff;
        background-color: $primary;
        border-color: $primary;

        &:hover {
        	background-color: darken($primary, 5%);
        	border-color: darken($primary, 5%);
        }
        &.active, 
        &:active{
            background-color: darken($primary, 5%);
            border-color: darken($primary, 5%);
        }
    }
    &.btn-secondary {
        color: #ffffff;
        background-color: $secondary;
        border-color: $secondary;

        &:hover {
            background-color: darken($secondary, 5%);
            border-color: darken($secondary, 5%);
        }
        &.active, 
        &:active{
            background-color: darken($secondary, 5%);
            border-color: darken($secondary, 5%);
        }
    }
    &.btn-info {
        color: #ffffff;
        background-color: $info;
        border-color: $info;

        &:hover {
        	background-color: darken($info, 10%);
        	border-color: darken($info, 10%);
        }
        &.active, 
        &:active{
            background-color: darken($info, 5%);
            border-color: darken($info, 5%);
        }
    }
    &.btn-success {
        color: #ffffff;
        background-color: $success;
        border-color: $success;

        &:hover {
            background-color: darken($success, 5%);
            border-color: darken($success, 5%);
        }
        &.active, 
        &:active{
            background-color: darken($success, 5%);
            border-color: darken($success, 5%);
        }
    }
    &.btn-warning {
        color: #ffffff;
        background-color: $warning;
        border-color: $warning;

        &:hover {
            background-color: darken($warning, 5%);
            border-color: darken($warning, 5%);
        }
        &.active, 
        &:active{
            background-color: darken($warning, 5%);
            border-color: darken($warning, 5%);
        }
    }
    &.btn-danger {
        color: #ffffff;
        background-color: $danger;
        border-color: $danger;

        &:hover {
            background-color: darken($danger, 5%);
            border-color: darken($danger, 5%);
        }
        &.active, 
        &:active{
            background-color: darken($danger, 5%);
            border-color: darken($danger, 5%);
        }
    }
    &.btn-default {
        color: #676767;
        background-color: #dedede;
        border-color: #dedede;

        &:hover {
            background-color: darken(#dedede, 5%);
            border-color: darken(#dedede, 5%);
        }
        &.active, 
        &:active{
            background-color: darken(#dedede, 5%);
            border-color: darken(#dedede, 5%);
        }
    }
}
button{
    &.focus,
    &:focus{
        outline: none;
        box-shadow: none;
    }
}